Skip to content

BULK DIVIDEND PURIFICATION

Request

Get the list of Dividend Purification Results for stocks. You can query by stock tickers. Maximum permissible limit of tickers per request is 100.

Request body:

ParameterValueDescription
stocks["AAPL","NFLX","TSLA", ...]Stock symbol list (Maximum 100 symbols per request)

Response body:

ParameterTypeDescription
non-compliant_revenue_rationumberPercentage of non-compliant revenue out of total revenue
symbolstringStock symbol
reported_quarterstringReported quarter
dividend_per_share_for_quarternumberDividend per share for the latest quarter
reported_yearnumberReported year
dividend_purification_amount_per_sharenumberDividend purification amount per share (DPAPS)
report_datedateReport date
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"Hsf5xYlbHuLnK7B3dtUtP9nsoccUAyeEaHbht8EP2WoGL/lYOpYyCCx24Y0K7D6+CSYt0+6zE5KH5NUfZMPS0Q=="
Example:Hsf5xYlbHuLnK7B3dtUtP9nsoccUAyeEaHbht8EP2WoGL/lYOpYyCCx24Y0K7D6+CSYt0+6zE5KH5NUfZMPS0Q==
Bodyapplication/jsonrequired
stocksArray of strings, <= 100 itemsrequired

Stock symbol list (maximum 100 symbols per request)

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/stocks/dividends/pure/bulk' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: Hsf5xYlbHuLnK7B3dtUtP9nsoccUAyeEaHbht8EP2WoGL/lYOpYyCCx24Y0K7D6+CSYt0+6zE5KH5NUfZMPS0Q==' \
--data '{
    "stocks":[
        "AAPL",
        "NFLX",
        "TSLA"
    ]
}'

Responses

Dynamic dividend purification results for the requested tickers

Bodyapplication/json
Array [
symbolstring
non-compliant_revenue_rationumber

Percentage of non-compliant revenue out of total revenue

reported_quarterstring
dividend_per_share_for_quarternumber
reported_yearnumber
dividend_purification_amount_per_sharenumber

Dividend purification amount per share (DPAPS)

report_datestring, (date)
]
Response
[ { "symbol": "string", "non-compliant_revenue_ratio": 0, "reported_quarter": "string", "dividend_per_share_for_quarter": 0, "reported_year": 0, "dividend_purification_amount_per_share": 0, "report_date": "2019-08-24" } ]